<template>
  <section
    id="projecte-tecnic-destacats"
    class="px-4 py-20 flex flex-col items-center bg-green-600 sm:px-10 md:px-12 xl:p-32"
  >
    <h2 class="mx-auto text-white text-center">{{ heading }}</h2>
    <div class="max-w-limit -mx-4 flex justify-center flex-wrap lg:flex-no-wrap">
      <!-- Card -->
      <article
        v-for="item in items"
        :key="item.title"
        class="item max-w-lg mx-4 mt-16 bg-white rounded-2xl overflow-hidden lg:flex-1 xl:max-w-xl"
      >
        <g-image
          class="h-64 object-cover"
          :src="item.item_image.image"
          :alt="item.item_image.description"
        />
        <div class="px-6 py-10">
          <h3 class="text-2xl font-light uppercase">{{ item.title }}</h3>
          <p class="subtitle mt-4">{{ item.subtitle }}</p>
          <div class="markdown" v-html="item.text" />
        </div>
      </article>
    </div>
  </section>
</template>

<script>
export default {
  name: 'ProjecteTecnicDestacats',
  props: {
    heading: String,
    items: Array,
  },
};
</script>
